aptitude full-upgrade casse beaucoup de choses

Le
nicolas patrois
Bonjour tous,

Depuis quelques mois, je tourne à safe-upgrade parce que full-upgrade
casse énormément de choses (KDE et GNOME à la fois). Je n'es=
saie même
pas d'installer un des paquets mis à jour avec full-upgrade, ça c=
asse
tout aussi.
Je ne vais pas vous envoyer le résultat, vous en avez pour un paquet
de lignes et moi pour 1 gigot 700 à télécharger.

Vous savez où ça en est ?

n.
--
En science, ce qui est démontrable ne doit pas être admis sans d=
émonstration.
        -+- Richard Dedekind -+-

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/CAMiNKZL5i3bG=_G66DRcFBoFm1DpO45WsQKKSk63vmhDrUTdYA@mail.gmail.com
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
J
Le #24079501
Le vendredi 16 décembre 2011 à 20:04 +0100, nicolas patrois a écrit :
Bonjour tous,

Depuis quelques mois, je tourne à safe-upgrade parce que full-upgrade
casse énormément de choses (KDE et GNOME à la fois).


Je tourne toujours à safe-upgrade saufe nécessité. C'est la mise à jour
normale.

Je n'essaie même
pas d'installer un des paquets mis à jour avec full-upgrade, ça casse
tout aussi.


Ça sent une version qui n'est pas squeeze...

Je ne vais pas vous envoyer le résultat, vous en avez pour un paquet
de lignes et moi pour 1 gigot 700 à télécharger.
Vous savez où ça en est ?



Où quoi en est où ?

Si tu n'utilise pas une version stable ou des dépôts exotiques, c'est
que tu sais ce que tu fais. Lis bien ce qui est marqué, essaye les
solutions proposées automatiquement, regarde ce qui bloque, et cherche
une manière de résoudre proprement les dépendances selon ce qui précède.
Parfois un paquet est à supprimer, changer par une alternative ou a
mettre dans la bonne version, surtout quand on a des dépôts externes
genre debian-multimedia pour en prendre un pas trop méchant.

Allez, au boulot ;-)


.
--
En science, ce qui est démontrable ne doit pas être admis sans démonstration.
-+- Richard Dedekind -+-






--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
nicolas patrois
Le #24079801
Le 16 décembre 2011 23:45, Jérôme
Je tourne toujours à safe-upgrade saufe nécessité. C'est l a mise à jour
normale.



Peut-être, mais Balsa a été mis à jour mais pas network -maganer, ce
qui fait que le premier ne se connecte plus à internet.

Ça sent une version qui n'est pas squeeze...



Oui, c’est testing.

Où quoi en est où ?



Si d’autres ont le même problème.

Si tu n'utilise pas une version stable ou des dépôts exotiques, c'est
que tu sais ce que tu fais. Lis bien ce qui est marqué, essaye les
solutions proposées automatiquement, regarde ce qui bloque, et cherc he
une manière de résoudre proprement les dépendances selon c e qui précède.
Parfois un paquet est à supprimer, changer par une alternative ou a
mettre dans la bonne version, surtout quand on a des dépôts ext ernes
genre debian-multimedia pour en prendre un pas trop méchant.



J’ai bien celui-ci, plus un pour avoir EDuke, et c’est tout .
aptitude lui-même ne retrouve plus ses petits, par exemple, entre
autres tonnes de lignes de paquets en conflit :

ouverts : 5000 ; fermés : 11932 ; reportés  : 31 ; en conflit : 34
O
Aucune solution n'a été trouvée dans le temps alloué. F aut-il
poursuivre la recherche ? [Y/n]
Il n'a pas été possible de résoudre ces dépendances. Vo us pouvez les
résoudre vous-même ou taper « n » pour quitte r.
Faut-il résoudre ces dépendances manuellement ? [N/+/-/_/:/? ]

n.
--
En science, ce qui est démontrable ne doit pas être admis sans d émonstration.
        -+- Richard Dedekind -+-

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Goldy
Le #24080501
Le 17/12/2011 09:34, nicolas patrois a écrit :
Le 16 décembre 2011 23:45, Jérôme
Je tourne toujours à safe-upgrade saufe nécessité. C'est la mise à jour
normale.



Peut-être, mais Balsa a été mis à jour mais pas network-maganer, ce
qui fait que le premier ne se connecte plus à internet.

Ça sent une version qui n'est pas squeeze...



Oui, c’est testing.

Où quoi en est où ?



Si d’autres ont le même problème.

Si tu n'utilise pas une version stable ou des dépôts exotiques, c'est
que tu sais ce que tu fais. Lis bien ce qui est marqué, essaye les
solutions proposées automatiquement, regarde ce qui bloque, et cherche
une manière de résoudre proprement les dépendances selon ce qui précède.
Parfois un paquet est à supprimer, changer par une alternative ou a
mettre dans la bonne version, surtout quand on a des dépôts externes
genre debian-multimedia pour en prendre un pas trop méchant.



J’ai bien celui-ci, plus un pour avoir EDuke, et c’est tout.
aptitude lui-même ne retrouve plus ses petits, par exemple, entre
autres tonnes de lignes de paquets en conflit :

ouverts : 5000 ; fermés : 11932 ; reportés : 31 ; en conflit : 34
O
Aucune solution n'a été trouvée dans le temps alloué. Faut-il
poursuivre la recherche ? [Y/n]
Il n'a pas été possible de résoudre ces dépendances. Vous pouvez les
résoudre vous-même ou taper « n » pour quitter.
Faut-il résoudre ces dépendances manuellement ? [N/+/-/_/:/?]

n.



En ce qui me concerne, en testing je fais toujours des dist-upgrade et
je n'ai aucun problème de ce type, je n'utilise justement jamais
safe-upgrade car ça peut bloquer des paquets, j'attends que les paquets
soient mis à jours dans le dépôt, et je n'ai jamais aucun problème, je
pense justmene tuq esafe-upgrade peut finir par poser des problèmes avec
le temps, et rendre la situation des paquets incohérentes.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
gardouille
Le #24081331
Je tourne à coup de full-upgrade sur sid sans soucis (je vérifie quand
même ce qu'il enlève/modifie) pour éviter de me cogner un gnome ou xorg
tout cassé/à réparer.
1/jour et rien à signaler de mon côté.

Pas de network-manager, mais c'est pas en rajoutant ça que ça cassera tout.

Je pense aussi qu'il aime pas passer d'une suite de safe-upgrade à un
full-upgrade d'un coup.

PS: full-upgrade en testing sur un autre pc ne bloque pas non plus.

------------------
Gardouille-kun
mail/gtalk:
------------------


Le 17/12/2011 13:37, Goldy a écrit :
En ce qui me concerne, en testing je fais toujours des dist-upgrade et
je n'ai aucun problème de ce type, je n'utilise justement jamais
safe-upgrade car ça peut bloquer des paquets, j'attends que les paquets
soient mis à jours dans le dépôt, et je n'ai jamais aucun problème, je
pense justmene tuq esafe-upgrade peut finir par poser des problèmes avec
le temps, et rendre la situation des paquets incohérentes.



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
nicolas patrois
Le #24081501
Le 17 décembre 2011 17:56, gardouille
Je pense aussi qu'il aime pas passer d'une suite de safe-upgrade à u n
full-upgrade d'un coup.

PS: full-upgrade en testing sur un autre pc ne bloque pas non plus.



J’utilisais full-upgrade jusqu’à fin septembre, jusqu ’à ce qu’il me
propose de virer une tripotée de paquets. En attendant la fin de
l’orage, j’utilise safe-upgrade.

n.
--
En science, ce qui est démontrable ne doit pas être admis sans d émonstration.
        -+- Richard Dedekind -+-

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/CAMiNKZJA2=RSvTgiVE7d8yTX=w5++
thierry.leurent
Le #24081771
This is a multipart message in Mime 1.0 format

--qmf:1292580620DCXb5Zwvr4CdJqOTt6amZw= Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Je n'ai jamais vraiment eu de problème avec full-upgrade.
Je prends toujours soin de bien de vérifier ce qui fait.
Le dernier problème que j'ai rencontre suite a un update provenait de 2 paquets dont la nouvelle version ne plait pas a ma carte vidéo Intel.

Je dois encore faire le bug report.



On 17/12/11 18:23 nicolas patrois wrote:

Le 17 décembre 2011 17:56, gardouille
Je pense aussi qu'il aime pas passer d'une suite de safe-upgrade à un
full-upgrade d'un coup.

PS: full-upgrade en testing sur un autre pc ne bloque pas non plus.



J’utilisais full-upgrade jusqu’à fin septembre, jusqu ’à ce qu’il me
propose de virer une tripotée de paquets. En attendant la fin de
l’orage, j’utilise safe-upgrade.

n.
--
En science, ce qui est démontrable ne doit pas être admis sans démonstration.
-+- Richard Dedekind -+-

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/CAMiNKZJA2�vTgiVE7d8yTX++Xt8Ag




--qmf:1292580620DCXb5Zwvr4CdJqOTt6amZw= Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><head><style type="text/css">body, p, li { font-family: NokiaPureT extLight; }</style></head><body><div id="fenix-user-content">
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:'NokiaPureTextLight';"><br></p>
--qmf:1292580620DCXb5Zwvr4CdJqOTt6amZw==--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
gardouille
Le #24083411
Aaaah fin septembre, ça aurait pas été la maj vers gnome3?

Même quand full propose de virer des trucs je ne passe pas en safe,
j'attends un peu (2-3 jours) voir si ça passe ou j'upgrade juste ce qui
ne pose pas problème (comme dis dans ton premier message). Le "soucis"
avec testing, c'est que les réparations arrivent moins vite.


------------------
Gardouille-kun
mail/gtalk:
------------------


Le 17/12/2011 18:23, nicolas patrois a écrit :
Le 17 décembre 2011 17:56, gardouille
Je pense aussi qu'il aime pas passer d'une suite de safe-upgrade à un
full-upgrade d'un coup.
PS: full-upgrade en testing sur un autre pc ne bloque pas non plus.


J’utilisais full-upgrade jusqu’à fin septembre, jusqu’à ce qu’il me
propose de virer une tripotée de paquets. En attendant la fin de
l’orage, j’utilise safe-upgrade.

n.



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
nicolas patrois
Le #24083511
Le 18 décembre 2011 11:23, gardouille
Aaaah fin septembre, ça aurait pas été la maj vers gnome3?



Oui, c’est ça.

Même quand full propose de virer des trucs je ne passe pas en safe,
j'attends un peu (2-3 jours) voir si ça passe ou j'upgrade juste ce qui ne
pose pas problème (comme dis dans ton premier message). Le "soucis" avec
testing, c'est que les réparations arrivent moins vite.



Bon, je vais encore attendre, parce que là, il refuse carrément d e
mettre à jour, ou propose de gérer les dépendances manuellem ent. :-/

n.
--
En science, ce qui est démontrable ne doit pas être admis sans d émonstration.
        -+- Richard Dedekind -+-

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/CAMiNKZ+d5=8xj4kfnTqXrempE-cd_=+OYP+
nicolas patrois
Le #24084191
Avec aptitude tout court, je pense avoir résolu les problèmes de dépendance.
J’espère qu’il ne m’a pas viré initrd-too ls.

n.
--
En science, ce qui est démontrable ne doit pas être admis sans d émonstration.
        -+- Richard Dedekind -+-

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/CAMiNKZLCF2L+JpDn0+mPnUzi2X6=mG=
J
Le #24095761
Le samedi 17 décembre 2011 à 19:43 +0100, a
écrit :
Je n'ai jamais vraiment eu de problème avec full-upgrade.
Je prends toujours soin de bien de vérifier ce qui fait.
Le dernier problème que j'ai rencontre suite a un update provenait de
2 paquets dont la nouvelle version ne plait pas a ma carte vidéo
Intel.



Problème ou pas c'est la méthode imprudente. Un safe-upgrade, et s'il
reste des mises à jour à faire on examine soigneusement ce qu'il faut
faire. Éventuellement c'est un simple full-upgrade. Et je rappelle que
"aptitude full-upgrade un_paquet_précis" ça fonctionne.

Sinon c'est au petit bonheur la chance, selon les paquets installés. Le
principe général pour tout ces trucs algorithmiques est quand même de
faire le minimum sauf nécessité. La flemme intelligente.



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme